### Method

# GLib StaticRWLock reader_trylock

deprecated: 2.32

#### Declaration [src]

    gboolean
    g_static_rw_lock_reader_trylock (
      GStaticRWLock* lock
    )

#### Description [src]

Tries to lock `lock` for reading. If `lock` is already locked for writing by another thread or if another thread is already waiting to lock `lock` for writing, immediately returns `FALSE`. Otherwise locks `lock` for reading and returns `TRUE`. This lock has to be unlocked by g_static_rw_lock_reader_unlock().

Deprecated since: 2.32

Use `g_rw_lock_reader_trylock()` instead.

This method is not directly available to language bindings.

#### Return value

Type: `gboolean`

`TRUE`, if `lock` could be locked for reading.